Apache log4cxx Version @version@

Public Types | Public Member Functions | List of all members
LevelMatchFilter Class Reference

This is a very simple filter based on level matching. More...

`#include <levelmatchfilter.h>`

Inheritance diagram for LevelMatchFilter:

## Public Types
typedef spi::Filter | BASE_CLASS
Public Types inherited from Filter
enum | FilterDecision { DENY = -1 , NEUTRAL = 0 , ACCEPT = 1 }

## Public Member Functions
| LevelMatchFilter ()
virtual void | setOption (const LogString &option, const LogString &value)
| Set options. More...
void | setLevelToMatch (const LogString &levelToMatch)
LogString | getLevelToMatch () const
void | setAcceptOnMatch (bool acceptOnMatch1)
bool | getAcceptOnMatch () const
FilterDecision | decide (const spi::LoggingEventPtr &event) const
| Return the decision of this filter. More...
Public Member Functions inherited from Filter
| Filter ()
void | addRef () const
void | releaseRef () const
log4cxx::spi::FilterPtr | getNext () const
void | setNext (const log4cxx::spi::FilterPtr &newNext)
void | activateOptions (log4cxx::helpers::Pool &p)
| Usually filters options become active when set. More...
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`. More...
virtual FilterDecision | decide (const LoggingEventPtr &event) const =0
Public Member Functions inherited from OptionHandler
virtual | ~OptionHandler ()
virtual void | activateOptions (log4cxx::helpers::Pool &p)=0
| Activate the options that were previously set with calls to option setters. More...
virtual void | setOption (const LogString &option, const LogString &value)=0
| Set `option` to `value`. More...
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

This is a very simple filter based on level matching.

The filter admits two options LevelToMatch and AcceptOnMatch. If there is an exact match between the value of the LevelToMatch option and the level of the `LoggingEvent`, then the decide method returns `ACCEPT` in case the AcceptOnMatch option value is set to `true`, if it is `false` then `DENY` is returned. If there is no match, `NEUTRAL` is returned.

## Member Typedef Documentation

## ◆ BASE_CLASS

typedef spi::Filter BASE_CLASS

## Constructor & Destructor Documentation

## ◆ LevelMatchFilter()

LevelMatchFilter | ( |  | ) |

## Member Function Documentation

## ◆ decide()

FilterDecision decide | ( | const spi::LoggingEventPtr & | event | ) | const
| virtual

Return the decision of this filter.

Returns `NEUTRAL` if the LevelToMatch option is not set or if there is not match. Otherwise, if there is a match, then the returned decision is `ACCEPT` if the AcceptOnMatch property is set to `true`. The returned decision is `DENY` if the AcceptOnMatch property is set to false.

Implements Filter.

## ◆ getAcceptOnMatch()

bool getAcceptOnMatch | ( |  | ) | const
| inline

## ◆ getLevelToMatch()

LogString getLevelToMatch | ( |  | ) | const

## ◆ setAcceptOnMatch()

void setAcceptOnMatch | ( | bool | acceptOnMatch1 | ) |
| inline

## ◆ setLevelToMatch()

void setLevelToMatch | ( | const LogString & | levelToMatch | ) |

## ◆ setOption()

virtual void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) |  |
| virtual

Set options.

Implements OptionHandler.

The documentation for this class was generated from the following file:

- levelmatchfilter.h